// creature cats

class Cats {
  float x, y, r, w, h, x1, x2;
  float vy = 0;
  float vx = 0;
  boolean alive = true;
  PImage img; 

  Cats (float _x, float _y, int _r, int _w, int _h, int _x1, int  _x2) {
    x = _x;
    y = _y;
    r = _r;
    vy = 0;
    vx = random(1, 3);
    w = _w;
    h = _h;
    x1 = _x1;
    x2 = _x2;   
    // picking a random image of the 3 cat versions
    img = loadImage("cat" + str(int(random(1, 4))) + ".png");
  }

  void display() {
    update();
    noFill();
    noStroke();
    image( img, x-r, y-r, 50, 50);
    circle(x, y, r*2);
  }

  void update() {
  // movement of the cats 
    y += vy;
    x += vx; 
    
    // for the cats to move back and forth
    if (x < x1) {
      vx *= -1;
    } else if ( x > x2) {
      vx *= -1;
    }
  }

  float distance(int tarX, int tarY) {
    // to calculate the distance between the cat and another object
    return (pow( (pow(( x - tarX), 2) + pow((y - tarY), 2)), 0.5));
  }

  boolean trigger() {
    return false;
  }
}
