import processing.sound.*;
PImage img;
StringList tally;

class Game {
  float w, h, g;
  int count = 120;
  float scorecount = 0;

  Game(int _w, int _h, int _g) {
    w = _w;
    h = _h;
    g = _g;
    img = loadImage("map.jpg");
    tally = new StringList("I", "I", "I", "I", "I", "I", "I" );
  }

  void display () {
    // map image
    image (img, 0, 0);
    fill (0, 0, 0);
    textSize(25);
    // 3d effect on timer
    text("Time Remaining: " + count, 365, 50);
    fill(255, 255, 255);
    textSize(25);
    text("Time Remaining: " + count, 363, 48 );
    fill (255, 255, 255);
    // displaying the tally on the left
    for (int i = 0; i <tally.size(); i++) {
      text (tally.get(i), 50+(i*10), 50);
    }
    fill(150, 17, 17);
    for (int i = 0; i <tally.size(); i++) {
      text (tally.get(i), 50+(i*10), 50);
    }
    fill (255, 255, 255);
    text ("Score: " + int(scorecount), 850, 50);
    // displaying score, with 3d effect and also green if positive, red if negative
    if (scorecount <=0) {
      fill(150, 17, 17);
      text ("Score: " + int(scorecount), 849, 49);
    } else if (scorecount >=0) {
      fill(17, 150, 17);
      text ("Score: " + int(scorecount), 849, 49);
    }

    // for decreasing time
    if (creature.alive == true) {
      if (frameCount % 60 == 0) {
        //println (frameCount);
        count   -=1;
      }
      if (count <= 0) {
        creature.win=false;
        creature.alive = false;
      }
    }
  }
}
